Package org.eclipse.ease.modules.charting.views

# Class Chart

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.ease.modules.charting.views.Chart

All Implemented Interfaces:
  `org.eclipse.swt.graphics.Drawable`

    public class Chart
    extends org.eclipse.swt.widgets.Composite

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Composite

`embeddedHandle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`handle`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Chart​(org.eclipse.swt.widgets.Composite parent, int style)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `clear()` |
`void` | `export​(Object object, boolean overwrite)` |
`org.eclipse.nebula.visualization.xygraph.figures.Trace` | `plot​(double[] x, double[] y)` |
`org.eclipse.nebula.visualization.xygraph.figures.Trace` | `plot​(double x, double y)` |
`void` | `removeCursor​(String cursorName)` |
`void` | `removeSeries​(String traceName)` |
`org.eclipse.nebula.visualization.xygraph.figures.Trace` | `series​(String seriesName, String format)` |
`void` | `setAutoScale​(boolean performAutoScale)` |
`void` | `setAxisRange​(double[] xrange, double[] yrange)` |
`void` | `setCursor​(String cursorName, String traceName)` |
`org.eclipse.nebula.visualization.xygraph.figures.XYGraph` | `setPlotTitle​(String title)` |
`org.eclipse.nebula.visualization.xygraph.figures.Axis` | `setXLabel​(String title)` |
`org.eclipse.nebula.visualization.xygraph.figures.Axis` | `setYLabel​(String title)` |
`void` | `showGrid​(boolean showGrid)` |
`void` | `zoom​(String zoomType)` |

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isAutoScalable, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Chart

public Chart​(org.eclipse.swt.widgets.Composite parent, int style)

## Method Details

### plot

public org.eclipse.nebula.visualization.xygraph.figures.Trace plot​(double x, double y)

### setPlotTitle

public org.eclipse.nebula.visualization.xygraph.figures.XYGraph setPlotTitle​(String title)

### setXLabel

public org.eclipse.nebula.visualization.xygraph.figures.Axis setXLabel​(String title)

### setYLabel

public org.eclipse.nebula.visualization.xygraph.figures.Axis setYLabel​(String title)

### setAxisRange

public void setAxisRange​(double[] xrange, double[] yrange)

### showGrid

public void showGrid​(boolean showGrid)

### setAutoScale

public void setAutoScale​(boolean performAutoScale)

### zoom

public void zoom​(String zoomType)

### export

public void export​(Object object, boolean overwrite) throws Throwable

Throws:
  `Throwable`

### setCursor

public void setCursor​(String cursorName, String traceName)

### removeCursor

public void removeCursor​(String cursorName)

### removeSeries

public void removeSeries​(String traceName)

### clear

public void clear()

### plot

public org.eclipse.nebula.visualization.xygraph.figures.Trace plot​(double[] x, double[] y)

### series

public org.eclipse.nebula.visualization.xygraph.figures.Trace series​(String seriesName, String format)